Phpunit2 is not newer than phpunit and is default in 1.7.4

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Phpunit2 is not newer than phpunit and is default in 1.7.4

Postby ebr00ks » 04. April 2011 23:03

I see that in 1.7.4 the phpunit.bat and phpunit files are now using phpunit2 this project that died in 2006. Phpunit is still being actively maintained by Sebastian Bergmann at https://github.com/sebastianbergmann/phpunit. This was the version being used by Xampp in version 1.7.3

Just hopping it will be switched back in 1.7.5

Regards,
Ethan Brooks
ebr00ks
 
Posts: 1
Joined: 04. April 2011 22:50

Re: Phpunit2 is not newer than phpunit and is default in 1.7

Postby Sharley » 05. April 2011 01:15

ebr00ks wrote:Just hopping it will be switched back in 1.7.5
From what I see in the 1.7.5b1 archive file it is not using phpunit2 as used in 1.7.4 but like 1.7.3 it is still available in 1.7.5 for perhaps legacy issues.

Checkout the beta version by downloading from here and making your comments via the feedback form as the developer is not known to frequent this English forum:
http://www.apachefriends.org/en/xampp-beta.html
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 39 guests